<?php
    /*
        Plugin Name: AdMangler
        Plugin URI: http://www.webternals.com/projects/admangler/
        Description: AdMangler (Beta) Display, sell, and manage ad space on your Wordpress powered site.
        Version: 0.1.2
        Author: Webternals, LLC - Allen Sanford
        Author URI: http://www.webternals.com/
    */
    /**
     *
     * DO NOT FORGET TO SET THE VERSIONS in adMangler.class.php if they change
     * Both DB and CLASS
     *
     * */


    $codeVersion = '0.1.2';
    $dbVersion = '0.0.9';

    if (!session_id())
        session_start();

    // Check for class include and activate the class
    if (!class_exists('AdMangler'))
    {
        require_once(dirname(__FILE__).'/adMangler.class.php');
        $adMangler = new AdMangler( $codeVersion, $dbVersion );
        require_once(dirname(__FILE__).'/adManglerWidget.class.php');
    } // End if (!class_exists('AdMangler')

    // Must be activated here and like this. will not  work in the constructor for some reason.
    register_activation_hook(__FILE__, array($adMangler, "activate"));

?>