<?php
    try {
    $api = new WebAPI('publicapi', 'publicapi');

    $apiBanner = new SimpleXMLElement('<request></request>');
    $apiBanner->addChild('action', 'banner');
    $apiBanner->addChild('width', '468');
    $apiBanner->addChild('height', '60');
    $api->add_request($apiBanner);
    $api->request();
    $banner_468x60 = $api->responseXML->response->answer;

    $api = new WebAPI('publicapi', 'publicapi');
    $apiBanner = new SimpleXMLElement('<request></request>');
    $apiBanner->addChild('action', 'banner');
    $apiBanner->addChild('width', '720');
    $apiBanner->addChild('height', '80');
    $api->add_request($apiBanner);
    $api->request();
    $banner_720x80 = $api->responseXML->response->answer;
    } catch(Exception $e) { /* Fail quitely */ }
?>
    <div style="text-align:center;">
        <form action="https://www.paypal.com/cgi-bin/webscr" method="post">
        <input type="hidden" name="cmd" value="_s-xclick">
        <input type="hidden" name="hosted_button_id" value="8E8PU9FKLLGAJ">
        <input type="image" src="https://www.paypal.com/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
        <img alt="" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1">
        </form>
    </div>

    <div style="padding:10px;">

    Dear AdMangler User,
    <br /><br />
    You won't believe what I have gone and gotten myself into this time. I have written a plugin that is 
    beginning to gain momentum in the Wordpress community. Your help would be greatly appreciated. No, I don't expect 
    you to write code or even submit bug reports - so you can breathe that sigh of relief! But a donation 
    to Webternals, LLC in support of the AdMangler plugin would be wonderful and also help shift more resources 
    towards this project!
    <br /><br />
    If you can help, please make a donation using the button provided. Then you can sit back with your lemonade, 
    while I am working to improve AdMangler for the community as a whole! Thank you so much!
    <br /><br />
    Your Code Writter,
    Allen Sanford
    <br /><br />
    <div style="margin:20px auto; width:468px; height:60px;">
        <?php echo $banner_468x60; ?>
    </div>
</div>
    
<h3>New this Version</h3>
<ol>
    <li>Added the shortcode icon to the content editor</li>
    <li>Replaced CURL calls with `stream_context_create` to enable a broader support of web servers</li>
</ol>
<h3>Using Admangler</h3>
<ol>
    <li>Please Report Any Bugs Found to: <strong><a href="mailto:bugs@webternals.com">bugs@webternals.com</a></strong><br /><br /></li>
    <li>
        <b>ShortCode Support:</b> <em>(The built in wordpress shortcode feature)</em><br />
        There is now an icon on the content builder to help you build your shortcode, just look for this icon <img src="/<?php echo PLUGINURL ?>/images/logo.gif" alt="" /> on the content editor<br />
        [AdMangler width="468" height="60"]<br />
        [AdMangler width="468" height="60" position="1"] (Position is optional; Don't use 0 as it is the default and you want get the result you are looking for)<br />
        <br />
    </li>
    <li>
        <b>Template File Usage:</b>
        <br />
        &lt;?php echo do_shortcode('[AdMangler width="468" height="60" position="1"]'); ?&gt;<br />
        <br />
    </li>
    <li>
        <b>AdMangler Widget:</b> (On the Wordpress Backend)<br>
        <i>Appearance -> Widgets -> AdMangeler Widget</i>
    </li>
</ol>
<div style="text-align:center;">
    <form action="https://www.paypal.com/cgi-bin/webscr" method="post">
    <input type="hidden" name="cmd" value="_s-xclick">
    <input type="hidden" name="hosted_button_id" value="8E8PU9FKLLGAJ">
    <input type="image" src="https://www.paypal.com/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
    <img alt="" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1">
    </form>
</div>
<div style="margin:20px auto; width:720px; height:80px;">
        <?php echo $banner_720x80; ?>
</div>


